View Issue Details

IDProjectCategoryView StatusLast Update
0023483mantisbtbugtrackerpublic2017-10-28 19:08
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023483: Auto-refresh shouldn't update last visited
Description

For any page that auto-refesh, the auto-refresh should add a "refresh" get parameter which should disable the updating of the "last visited" field. Since in this case, the browser is auto-refreshing without user activity.

The change in 1.3 0017752 is not applied to 2.x

TagsNo tags attached.

Relationships

related to 0017752 closedvboctor Auto-refresh shouldn't update last visited 

Activities

dregad

dregad

2017-10-16 08:09

developer   ~0057969

The change in 1.3 0017752 is not applied to 2.x

Makes me wonder if there are more cases of changes that have not been forward-ported to 2.x...

atrol

atrol

2017-10-16 14:32

developer   ~0057979

Makes me wonder if there are more cases of changes that have not been forward-ported to 2.x...

Parts of the related changes for this issue have been forward-ported to 2.x.
Seems that especially changes in html_api got lost , as some functions have been renamed and moved to layout_api.php

PR https://github.com/mantisbt/mantisbt/pull/1212

Related Changesets

MantisBT: master 75da452f

2017-10-16 14:24:40

atrol

Details Diff
Don't update user last visited on auto-refresh

Fixes 0023483
mod - core/layout_api.php Diff File
mod - my_view_page.php Diff File
mod - view_all_bug_page.php Diff File

Issue History

Date Modified Username Field Change
2017-10-16 03:40 atrol New Issue
2017-10-16 03:40 atrol Issue generated from: 0017752
2017-10-16 03:40 atrol Relationship added related to 0017752
2017-10-16 03:40 atrol Assigned To => atrol
2017-10-16 03:40 atrol Status new => assigned
2017-10-16 03:40 atrol Target Version => 2.8.0
2017-10-16 08:09 dregad Note Added: 0057969
2017-10-16 14:32 atrol Note Added: 0057979
2017-10-17 03:48 atrol Changeset attached => MantisBT master 75da452f
2017-10-17 03:48 atrol Status assigned => resolved
2017-10-17 03:48 atrol Resolution open => fixed
2017-10-17 03:48 atrol Fixed in Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed